%define api		1.0
%define major		2
%define gtk_major	0
%define gir_major	1.0

%define libname %mklibname %{name} %{api} %{major}
%define libgtk %mklibname %{name}-gtk %{api} %{gtk_major}
%define devname %mklibname %{name} -d
%define devgtk %mklibname %{name}-gtk -d
%define girname %mklibname %{name}-gir %{gir_major}
%define girgtk %mklibname %{name}-gtk-gir %{gir_major}

Summary:	User interface toolkit for the MeeGo
Name:		mx
Version:	1.4.7
Release:	5
License:	LGPLv2.1
Group:		System/Libraries
Url:		http://www.clutter-project.org/
Source0:	https://github.com/downloads/clutter-project/mx/%{name}-%{version}.tar.xz
Patch0:		mx-nogl.patch
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	pkgconfig(clutter-gesture)
BuildRequires:	pkgconfig(clutter-imcontext-0.1)
BuildRequires:	pkgconfig(clutter-x11-1.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)

%description
'MX' is a currently experiemental toolkit for the meego-netbook
implementation.

%files -f mx-1.0.lang
%doc COPYING.LIB
%{_bindir}/*
%{_datadir}/mx

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}mx2 < 1.4.7-5
Obsoletes:	%{_lib}mx2 < 1.4.7-5
Conflicts:	%{name} < 1.4.7-5

%description -n %{libname}
This package contains the shared library for %{name}.

%files -n %{libname}
%{_libdir}/libmx-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libgtk}
Summary:	Shared library for %{name}-gtk
Group:		System/Libraries
Conflicts:	%{_lib}mx-gtk0 < 1.4.7-5
Obsoletes:	%{_lib}mx-gtk0 < 1.4.7-5
Conflicts:	%{name} < 1.4.7-5

%description -n %{libgtk}
This package contains the shared library for %{name}-gtk.

%files -n %{libgtk}
%{_libdir}/libmx-gtk-%{api}.so.%{gtk_major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Mx-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{girgtk}
Summary:	GObject Introspection interface description for %{name}-gtk
Group:		System/Libraries
Requires:	%{libgtk} = %{EVRD}

%description -n %{girgtk}
GObject Introspection interface description for %{name}-gtk.

%files -n %{girgtk}
%{_libdir}/girepository-1.0/MxGtk-%{gir_major}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	MX development libraries and headers
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Obsoletes:	%{name}-devel < 1.4.7-5
%rename %{name}-doc

%description -n %{devname}
MX development libraries and header files.

%files -n %{devname}
%{_includedir}/mx-1.0/mx/*
%{_libdir}/libmx-%{api}.so
%{_libdir}/pkgconfig/mx-%{api}.pc
%{_datadir}/gtk-doc/html/mx
%{_datadir}/gir-1.0/Mx-%{gir_major}.gir

#----------------------------------------------------------------------------

%package -n %{devgtk}
Summary:	MX - Gtk development libraries and headers
Group:		Development/C
Requires:	%{libgtk} = %{EVRD}

%description -n %{devgtk}
MX - Gtk development libraries and header files.

%files -n %{devgtk}
%{_includedir}/mx-1.0/mx-gtk*
%{_libdir}/libmx-gtk-%{api}*.so
%{_libdir}/pkgconfig/mx-gtk-%{api}.pc
%{_datadir}/gtk-doc/html/mx-gtk
%{_datadir}/gir-1.0/MxGtk-%{gir_major}.gir

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%setup_compile_flags
export CFLAGS="$CFLAGS -I /usr/include/glib-2.0 -I %{_libdir}/glib-2.0/include/ -I /usr/include/clutter-1.0 -I /usr/include/cairo -I /usr/include/cogl -I /usr/include/pango-1.0 -I /usr/include/atk-1.0 -I /usr/include/json-glib-1.0 -I /usr/include/startup-notification-1.0 -I /usr/include/dbus-1.0 -I %{_libdir}/dbus-1.0/include -I /usr/include/clutter-gesture/ -I /usr/include/clutter-imcontext-0.1 -I /usr/include/gdk-pixbuf-2.0 -I /usr/include/gtk-2.0"

%configure2_5x \
	--disable-static \
	--enable-introspection

%make LIBS='-lm'

%install
%makeinstall_std

%find_lang mx-1.0


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.4.7-5
- (04a0253) Properly name library packages
- (04a0253) Don't override system optflags to fix debug package


